PipeWire 1.6.5

Loading...
Searching...
No Matches
spa_buffer_alloc_info Struct Reference
SPA » Buffers

information about the buffer layout More...

`#include <spa/buffer/alloc.h>`

## Data Fields
uint32_t | flags
uint32_t | max_align
| max of all alignments
uint32_t | n_metas
uint32_t | n_datas
struct spa_meta * | metas
struct spa_data * | datas
uint32_t * | data_aligns
size_t | skel_size
| size of the struct spa_buffer and inlined meta/chunk/data
size_t | meta_size
| size of the meta if not inlined
size_t | chunk_size
| size of the chunk if not inlined
size_t | data_size
| size of the data if not inlined
size_t | mem_size
| size of the total memory if not inlined

## Detailed Description

information about the buffer layout

## Field Documentation

## ◆ flags

uint32_t spa_buffer_alloc_info::flags

## ◆ max_align

uint32_t spa_buffer_alloc_info::max_align

max of all alignments

## ◆ n_metas

uint32_t spa_buffer_alloc_info::n_metas

## ◆ n_datas

uint32_t spa_buffer_alloc_info::n_datas

## ◆ metas

struct spa_meta* spa_buffer_alloc_info::metas

## ◆ datas

struct spa_data* spa_buffer_alloc_info::datas

## ◆ data_aligns

uint32_t* spa_buffer_alloc_info::data_aligns

## ◆ skel_size

size_t spa_buffer_alloc_info::skel_size

size of the struct spa_buffer and inlined meta/chunk/data

## ◆ meta_size

size_t spa_buffer_alloc_info::meta_size

size of the meta if not inlined

## ◆ chunk_size

size_t spa_buffer_alloc_info::chunk_size

size of the chunk if not inlined

## ◆ data_size

size_t spa_buffer_alloc_info::data_size

size of the data if not inlined

## ◆ mem_size

size_t spa_buffer_alloc_info::mem_size

size of the total memory if not inlined

The documentation for this struct was generated from the following file:

- spa/buffer/alloc.h